Bug 246814 - CD Creation Failure
CD Creation Failure
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-07-05 02:37 EDT by Wayne Carruthers
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-07 10:31:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wayne Carruthers 2007-07-05 02:37:58 EDT
Description of problem:

Loop mounted DVD to create CD set as per instructions from fedora unity site and
all went well (packages found, dependencies resolved etc) until time to create
CD images.

Received failure message  "missing busybox" then revisor went to end but there
was no content in srv

Version-Release number of selected component (if applicable):

Lastes version from updates 2.04

How reproducible:

Steps to Reproduce:
1. Run revisor to create CD's from DVD loop mounted image
2. Use local repository from DVD
Actual results:
 No CD Images

Expected results:

Additional info:
Comment 1 Wayne Carruthers 2007-07-05 04:17:51 EDT
Did some additional testing & no luck

Copied all DVD content to HDD, setup local repo in revisor-f7-i386.conf pointing
to the copied data & manually downloaded to that repository the same version of
busybox as busybox-anaconda, still same error

Noticed my clean f7 system I am using to create the CD's did not have busybox
installed so installed it in case needed & still same error

Cant see where in the xml's busybox is specified as required so at a bit of a
loss  on how to move forward, over to you to advise

Comment 2 Jeroen van Meeuwen 2007-07-05 05:54:01 EDT
Package busybox has been removed from the required package list in Git (it's not
on the golden release media)
Comment 3 Wayne Carruthers 2007-07-05 22:22:17 EDT
All well and good to say it is not in Git & close bug but the fact remains
cannot create CD's with current version 

What is the work around for the current release please
Comment 4 Jonathan Steffan 2007-07-05 23:30:37 EDT
Comment out line 81 in /usr/lib/python2.5/site-packages/revisor/cfg.py
Comment 5 Wayne Carruthers 2007-07-06 21:59:48 EDT
The following are also listed as required in config.py & prevent CD creation

line 87 gfs2-utils
line 94 joe
line 99 memtest86+

This bug should remain open so others can see how to work around the problem
the current version of Revisor is unusable to create CD's from the DVD without
the workaround

Comment 6 Wayne Carruthers 2007-07-06 23:24:19 EDT
With the above lines commented out revisor completes successfully but only one
image (2.8gb) created. ie DVD image not multiple CD images
Comment 7 Jeroen van Meeuwen 2007-07-07 06:08:03 EDT
Verified package list suggestions and fixed in Git. Testing DVD/CD image
creation now.
Comment 8 Jeroen van Meeuwen 2007-07-07 10:31:16 EDT
CD creation fixed, pkgorder issue
Comment 9 Wayne Carruthers 2007-07-07 23:00:43 EDT
Any suggestions re work around for only one iso image being created ??

All tests (many) here with current version only create one image, not multiple
CD sized images

To all who have worked on the GUI & back end, great work, long term will be an
invaluable tool. Right now it seems we need to do a lot of testing & then
Comment 10 Jeroen van Meeuwen 2007-07-08 07:44:40 EDT
Well, basically I took anaconda-runtime's pkgorder routines and used them in
Revisor. There is no known workaround other then to clone the code-base from git
and rebuild the RPM, or wait for the next release.

Thanks for the trust you are giving us and truely, we do need testing,
documentation and feedback like this ;-)

Thank you,

Kind regards,

Jeroen van Meeuwen
Comment 11 Wayne Carruthers 2007-07-17 05:41:14 EDT
New version tested (-2) creating CD version of release DVD

Basically now have 5 ISO images of correct sizes which I will burn and test on a
clean HDD

There are still some errors however in some cases

1/ If no kickstart config file used, then revisor proceeds through to compose
images screen then returns to basic config screen with no error in terminal window

2/ If package selection is done by group rather than "select all" from list and
optional packages requested then multiple packages are indicated as unavailable
(gnome is over 30 packages)

Anyway, great progress
Comment 12 Jeroen van Meeuwen 2007-07-17 15:03:51 EDT
I've fixed 1/ in upstream VCS, 2/ is really a comps issue. Thanks for the feedback!
Comment 13 Wayne Carruthers 2007-07-18 00:39:24 EDT
Custom "up to date" CD with enough for 2 CD's tested (gnome & server components,
no optional components)

Revisor completed & generated 2 x ISO images

errors in terminal shows only missing 5 pkgs


Assume these are comps issues

Now to test the images

Note You need to log in before you can comment on or make changes to this bug.